class UsersController < ApplicationController
  layout 'guest', only: [:new, :forgotten]
  def new
    @user = User.new
  end

  def create
    @user = User.new(user_params)
    if @user.save
      session[:user] = @user.id
      flash[:notice] = 'Successful login'
      redirect_to hello_path
    else
      flash[:notice] = 'Unsuccessful registration'
      redirect_back fallback_location: registration_path
    end
  end

  def edit
  end
  
  def update
    if User.update(user_params)
      redirect_to hello_path
    else
      flash[:notice] = 'Unsuccessful registration'
      redirect_back fallback_location: registration_path
    end
  end

  def forgotten
  end
  
  def send_forgottend
  end
  
  def upload
    unless params[:file].nil?
        Attachment.save_file(params[:file], @user)
    end
    redirect_back fallback_location: hello_path
  end
  
  def calendar
  end
  
  def avatar
    a = Attachment.where(user: @user).take
    unless a.nil?
        send_file a.path, type: a.mime, disposition: :attachment
        return
    end
    head 404
  end
  
  private
    def user_params
      params.require(:user).permit([:name, :email, :pluto, :password, :password_confirmation])
    end
end
