class User < ApplicationRecord
    # encrypts :password
    attr_accessor :password
    has_and_belongs_to_many :courses
    has_one :attachment
    
    before_save :encrypt_password #, on: :create
    
    validates :name, presence: true
    validates :email, { presence: true, uniqueness: true}
    validates :pluto, { presence: true, uniqueness: true}
    validates :password, confirmation: true, if: :password_required?
    
    def self.encrypt(pass, salt)
        Digest::SHA1.hexdigest(pass + salt)
    end
    
    def encrypt_password
        return if password.blank?
        if self.new_record?
            self.salt = SecureRandom.base64 16
        end
        self.encrypted_password = User.encrypt self.password, self.salt
    end
    
    def self.authenticate(pluto_code, pass)
        user = User.where(pluto: pluto_code).take
        user && user.authenticated?(pass) ? user : nil
    end
    
    def authenticated?(pass)
        self.encrypted_password == User.encrypt(pass, self.salt)
    end
    
    def password_required?
        self.new_record? || !self.password.blank?
    end
end
