# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema[7.0].define(version: 2022_11_15_122524) do
  create_table "attachments", charset: "utf8mb4", force: :cascade do |t|
    t.string "filename"
    t.string "path"
    t.string "mime"
    t.integer "size"
    t.bigint "user_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["user_id"], name: "index_attachments_on_user_id"
  end

  create_table "courses", charset: "utf8mb4", force: :cascade do |t|
    t.bigint "subject_id", null: false
    t.bigint "semester_id", null: false
    t.integer "t", limit: 1
    t.datetime "date1"
    t.datetime "date2"
    t.string "location1"
    t.string "location2"
    t.integer "limit", limit: 3
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["semester_id"], name: "index_courses_on_semester_id"
    t.index ["subject_id"], name: "index_courses_on_subject_id"
  end

  create_table "courses_users", id: false, charset: "utf8mb4", force: :cascade do |t|
    t.bigint "course_id", null: false
    t.bigint "user_id", null: false
  end

  create_table "semesters", charset: "utf8mb4", force: :cascade do |t|
    t.string "name"
    t.integer "year"
    t.integer "season", limit: 1
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.date "begins"
    t.date "ends"
  end

  create_table "subjects", charset: "utf8mb4", force: :cascade do |t|
    t.string "name"
    t.string "lecturer"
    t.string "pluto"
    t.integer "credit", limit: 1
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "users", charset: "utf8mb4", force: :cascade do |t|
    t.string "name", null: false
    t.string "email"
    t.string "encrypted_password"
    t.string "pluto"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "salt"
  end

  add_foreign_key "attachments", "users"
  add_foreign_key "courses", "semesters"
  add_foreign_key "courses", "subjects"
end
